DatastructsException Class Reference

`#include <DatastructsException.h>`

Inheritance diagram for DatastructsException:

## Public Member Functions

| DatastructsException (const char *msg)
| construct with an error message More...
| DatastructsException (const std::string &msg)
| construct with an error message More...
const char * | message () const
| get the error message More...
| ~DatastructsException () throw ()

## Detailed Description

Definition at line 14 of file DatastructsException.h.

## Constructor & Destructor Documentation

## DatastructsException() [1/2]

DatastructsException::DatastructsException | ( | const char * | msg | ) |

inline

construct with an error message

Definition at line 17 of file DatastructsException.h.

## DatastructsException() [2/2]

DatastructsException::DatastructsException | ( | const std::string & | msg | ) |

inline

construct with an error message

Definition at line 19 of file DatastructsException.h.

## ~DatastructsException()

DatastructsException::~DatastructsException | ( |  | ) |
throw | ( |
| ) |  |

inline

Definition at line 22 of file DatastructsException.h.

## Member Function Documentation

## message()

const char* DatastructsException::message | ( |  | ) | const

inline

get the error message

Definition at line 21 of file DatastructsException.h.

The documentation for this class was generated from the following file:

- DatastructsException.h